#!/bin/sh
# /etc/acpi/fnf9.sh
#
# Switch IrDA on/off
#

/usr/bin/killall irattach 2>/dev/null

FIRMODS="nsc_ircc irda crc_ccitt"
FIRSETUP="nsc_ircc dongle_id=9"
SIRMODS="irtty_sir sir_dev irda crc_ccitt"
IRTTY="/dev/ttyS1"
IRPORT="irda0 -s"
IRSRV="ircomm-tty"

if [ `/sbin/lsmod | grep -c irda ` -gt 0 ]; then
	/usr/bin/logger -s -t ACPI "[Fn-F9] Disabeling IrDA support"
	# IrDA is enabled
	/sbin/rmmod $IRSRV ircomm
	/sbin/rmmod $FIRMODS

else
	/usr/bin/logger -s -t ACPI "[Fn-F9] Enabeling IrDA support"
	# IrDA is disabled
	#
	# Disable SIR mode (just precaucious)
	/sbin/rmmod $SIRMODS
	#
	# Enable FIR mode
	#
	/bin/setserial $IRTTY uart none
	/sbin/modprobe $FIRSETUP
	/sbin/modprobe $FIRMODS
	/sbin/modprobe $IRSRV
	/usr/sbin/irattach $IRPORT
fi
